package TablaHash;

/**
 * Implementación parcial de la ED para un TDA que utiliza una tabla hash cerrada.
 * @author FJoaquin (federico.joaquin@cs.uns.edu.ar)
 * @param <K> Tipo de dato de la clave del par.
 * @param <V> Tipo de dato del valor del par.
 */
public class MiTDAConHashCerrado<K, V> implements MiInterfazTDA<K,V>{
	protected Entrada<K,V> [] arreglo;
	protected final int tamañoInicial = 13;
	
	protected final Entrada<K,V> bucket_no_usado = new Entrada<K,V>(null, null);
	protected final Entrada<K,V> bucket_disponible = new Entrada<K,V>(null, null);
	
	public MiTDAConHashCerrado(){
		arreglo = (Entrada<K,V>[]) new Entrada [tamañoInicial];
		for(int i=0; i<tamañoInicial; i++)
			arreglo[i] = bucket_no_usado;
	}
	
	protected int hash(K clave){
		return (clave.hashCode() % arreglo.length);
	}
	
	//Operaciones propias del TDA
}
